import { useEffect } from 'react'
import { View } from '@tarojs/components'
import Taro, { useDidHide, useDidShow } from '@tarojs/taro'
import { eventCenter, getCurrentInstance } from '@tarojs/taro'
import { observer, inject } from 'mobx-react'
// import { getlikebooks, readLog, pushAdLog } from '../../api'
import styles from './index.module.less'

//==========components组件引用========================
import TopNavBar from '@src/components/TopNavBar/index'
import ScrollViewHoc from '@src/components/ScrollView'
import BookboxRowSmall from '@src/components/PupPetry/BookBox/BookboxRowSmall'
import Divider from '@src/components/PupPetry/Divider'
import Empty from '@src/components/Empty'
import { Store } from '@src/app'
import useApi from '@src/Hook/useApi'


interface Props {
    store: Store;
}

const Index: React.FC<Props> = ({ store }) => {
    const { bookrackList } = useApi(store.appInfoStore)

    useEffect(() => {
        log("componentDidMount", store.appInfoStore.appInfo);
        bookrackList()
        return () => {
            log("componentWillUnmount");
        };
    }, []); // Dependency array, runs effect only once on mount and unmount

    // 使用 useDidShow 代替 onShow
    useDidShow(() => {
        log("Page is shown or brought to foreground");
    });

    // 使用 useDidHide 如果需要在页面隐藏时做一些处理
    useDidHide(() => {
        log("Page is hidden or sent to background");
    });
    return (
        <ScrollViewHoc>
            <View className={styles.index}>
                {/* {
                    this.state.readLog.map((item: any, index: number) => {
                        return <>
                            <View key={index} onClick={() => { bookStore.action(item) }}> <BookboxRowSmall {...item} /></View>
                        </>
                    })
                }
                {
                    this.state.guessData.length > 0 ? <Divider text="猜您想继续阅读"></Divider> : <Empty text='书架暂无书籍哦~' />
                }
                {
                    this.state.guessData.map((item: any, index: number) => {
                        return <View key={index} onClick={() => { bookStore.action(item) }}> <BookboxRowSmall {...item} /></View>
                    })
                } */}
            </View>
        </ScrollViewHoc>
    );
};
export default TopNavBar((inject('store')(observer(Index))), {
    title: '阅读记录'
});
