import { Component } from 'react'
import Taro from '@tarojs/taro'
import { View, Text, Image, Button, Navigator, Input } from '@tarojs/components'
import { observer, inject } from 'mobx-react'
import './index.less'
// import { pushUserInfo, pushAdLog, getUserInfoSecond, setSign, getVideoNoin, setTaskCoin, addSubscribe } from '../../api'
import { getLoginSto } from '@src/utils/loginSto'
import { Store } from '@src/app'

// import TipsUnlocking from '../../components/guidePage/tipsUnlocking'
// import Toast from '../../components/guidePage/toast'
// import SceneTips from '../../components/guidePage/sceneTips'
// import Subscribe from '../../components/guidePage/subscribe'
// import SignTips from '../../components/guidePage/signTips'
interface Props {
    store: Store;
}

let _this: any = null

@inject('store')
@observer
class My extends Component<Props> {

    state = {
    }

    componentDidShow() {
        this.getData()
    }

    onLoad() {
        /*   @ts-ignore */
        if (wx.getUserProfile) {
            this.setState({
                canIUseGetUserProfile: true
            })
        }
        Taro.getSystemInfo({
            success(res) {
                log('===========', res);

            }
        })
        _this = this
    }


    getUserProfile() {
        // 推荐使用wx.getUserProfile获取用户信息，开发者每次通过该接口获取用户个人信息均需用户确认
        // 开发者妥善保管用户快速填写的头像昵称，避免重复弹窗
        /*   @ts-ignore */


    }

    getData = (type?: string) => {
        let { indexStore } = this.props.store
        // getUserInfoSecond().then((res: any) => {
        //     this.getInsertScreen()
        //     indexStore.SET_USERINFO()
        //     let body = res?.body
        //     this.setState({
        //         signInfo: body?.sign,
        //         task: body?.task,
        //         account: body?.userinfo?.account
        //     })
        //     let { is_receive, subscribe_coin } = body?.task?.important
        //     if (type && type === 'sub' && is_receive === 1) {
        //         this.setState({
        //             toastInfo: {
        //                 title: '消息订阅',
        //                 reward: subscribe_coin,
        //                 show: true
        //             }
        //         })
        //     }
        // })
    }




    handleWXGetUserInfo = (event) => {
        let detail = event.detail
        // let { city, country, gender, nickName, province, avatarUrl } = detail.userInfo
        this.setState({
            userInfo: detail.userInfo
        })
        let { open_id } = getLoginSto()
        // pushUserInfo({ openid: open_id, city, country, gender, nickname: nickName, province, avatarUrl }).then(() => {
        //     this.getData()
        // })
    }

    onChooseAvatar = (e) => {
        const { avatarUrl } = e.detail
        console.log(e.detail)
    }
    render() {
        let { userInfoStore } = this.props.store

        return <View className='my'>
            <View className="userInfo">
                {/* <Image src={require('../../icon/myBack.png')} /> */}
                <View className="userInfo_box">
                    <View className="top" >
                        <View className="left">
                            <View className="avtai">
                                <Image mode="widthFix" lazy-load src={userInfoStore.userInfo?.avatarUrl ? userInfoStore.userInfo?.avatarUrl : require('../../icon/avatar.jpg')} />
                            </View>
                            <View className="name" style={userInfoStore.isAuth ? { width: Taro.pxTransform(120) } : {}}>
                                {
                                    userInfoStore.userInfo?.nickName ? <View className="ID">{userInfoStore.userInfo?.nickName || ""}</View> :
                                        <View className="ID">读友_sdajhsd</View>
                                }
                                {
                                    userInfoStore.isVip && <View className="grade">
                                        <Image lazy-load src={require('../../icon/grade.png')} />
                                        <Text>V1</Text>
                                    </View>
                                }
                            </View>
                        </View>
                        {
                            userInfoStore.isAuth && <View className="right">
                                {
                                    userInfoStore.isAuth ?
                                        <Button onClick={this.getUserProfile} className="loginBt"  >
                                            <Image lazy-load src={require('../../icon/loaginBt.png')} />
                                        </Button>
                                        : <View>
                                            <Button openType='chooseAvatar' onChooseAvatar={this.onChooseAvatar} className="loginBt">
                                                <Image lazy-load src={require('../../icon/loaginBt.png')} />
                                            </Button>
                                            {/* <Input type="nickname" placeholder="请输入昵称" /> */}
                                        </View>

                                }
                            </View>
                        }
                    </View>
                    {/* vip续费 */}
                    <View className="bottom">
                        <View>
                            <View className="left">
                                <Image lazy-load src={require('../../icon/VIP.png')} />
                                <View className="txt">
                                    <Text>会员尊享免费解锁权益</Text>
                                    {
                                        userInfoStore.isVip && <Text className="tfv">有效期至:{1111}</Text>
                                    }
                                </View>
                            </View>
                            <View className="right" onClick={() => { Taro.navigateTo({ url: '/pages/vipCore/index' }) }}>{userInfoStore.isVip ? '立即续费' : '立即开通'}</View>
                        </View>
                        <Image lazy-load src={require('../../icon/vipBack.png')} />
                    </View>
                    {/* 底部功能入口 */}
                    <View className="list_bt" >
                        <Navigator className="item" url="/pages/my/contactService/index">
                            <View className="left">
                                <Image lazy-load src={require('../../icon/phone.png')} mode="widthFix" />
                                <Text>联系客服</Text>
                            </View>
                            <View className="right">
                                <Image lazy-load src={require('../../icon/jtRight.png')} mode="widthFix" />
                            </View>
                        </Navigator>
                        <View className="line"></View>
                        <Navigator className="item" url="/pages/my/aboutUs/index">
                            <View className="left">
                                <Image lazy-load src={require('../../icon/we.png')} mode="widthFix" />
                                <Text>关于我们</Text>
                            </View>
                            <View className="right">
                                <Image lazy-load src={require('../../icon/jtRight.png')} mode="widthFix" />
                            </View>
                        </Navigator>
                    </View>
                </View>
            </View>


        </View>
    }
}

export default My
