import { observable } from 'mobx'

let interval: NodeJS.Timeout | undefined = undefined
export interface IndexStore {
    scene: number,    // 场景值
    system: string,  // 系统
    navBarTop: number,//状态栏高度
    navHeight: number,//导航栏高度
    query: any,//本次进入小程序参数
    indexBanners: any[],//首页banner数据
    indexHotBooks: any[],//首页热门数据
    indexHotCategory: any[],//首页热门分类
    indexCategoryId:number,//首页分类选中的id
    setData: (data: { [key: string]: any }) => void,
}
const Index = observable({
    scene: 0,    // 场景值
    system: '',  // 系统
    navBarTop: 0,//状态栏高度
    navHeight: 0,//导航栏高度
    query: null,//本次进入小程序参数
    indexBanners: [],//首页banner数据
    indexHotBooks: [],//首页热门数据
    indexHotCategory: [],//首页热门分类
    indexCategoryId:0,
    setData(data: { [key: string]: any }) {
        if (data) {
            Object.keys(data).forEach(key => {
                this[key] = data[key]
            })
        }
    },
})

export default Index